API ReferenceChat Topic
Retrieves the collection of ChatFile resources
GET
Retrieves the collection of ChatFile resources
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringChatTopic identifier
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30excludeExtension[]?array<string>images?booleanexternalSources?booleanexcludeSource[]?array<string>displayedName?stringextension?stringextension[]?array<string>source?stringsource[]?array<string>order[createdAt]?stringDefault
"asc"Value in
"asc""desc"order[displayedName]?stringDefault
"asc"Value in
"asc""desc"order[size]?stringDefault
"asc"Value in
"asc""desc"ChatFile collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/chat/chat-topics/string/chat-files'Example Response200
[ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string", "shortCode": "string", "isExternal": true }, "previewImageUrl": "string", "duration": 0, "waveformPeaks": [ 0 ], "isCreatedFromSystem": false, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" }]